2

I am having problems installing php extensions XMLReader and XMLWriter on my server. In my phpinfo I found that in the php config they were siabled ...

So in the php documentation I found this:

pecl install XMLReader

so I did this but I got an error from phpize

Cannot find config.m4. Make sure that you run '/usr/local/bin/phpize' in the top level source directory of the module

So I did some more digging and I found how to run phpize directly so I went to /tmp/pear/download/ I untared the extension tar zxf xmlreader-1.0.1.tgz

got inside the dir and runned phpize:

PHP Api Version: 20090626 Zend Module Api No: 20090626 Zend Extension Api No: 220090626

no errors... then I did: "./configure waited for the result...

than: make

and it outputed an eror:.....

/bin/sh /tmp/pear/download/xmlreader-1.0.1/libtool --mode=compile cc -I. -I/tmp/pear/download/xmlreader-1.0.1 -DPHP_ATOM_INC -I/tmp/pear/download/xmlreader-1.0.1/include -I/tmp/pear/download/xmlreader-1.0.1/main -I/tmp/pear/download/xmlreader-1.0.1 -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/usr/local/include/libxml2 -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c -o php_xmlreader.lo mkdir .libs cc -I. -I/tmp/pear/download/xmlreader-1.0.1 -DPHP_ATOM_INC -I/tmp/pear/download/xmlreader-1.0.1/include -I/tmp/pear/download/xmlreader-1.0.1/main -I/tmp/pear/download/xmlreader-1.0.1 -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/usr/local/include/libxml2 -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c -fPIC -DPIC -o .libs/php_xmlreader.o /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c: In function âxmlreader_read_propertyâ: /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c:137: error: âzvalâ has no member named ârefcountâ /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c: In function âxmlreader_objects_newâ: /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c:349: error: âzend_objectâ has no member named âin_getâ /tmp/pear/download/xmlreader-1.0.1/php_xmlreader.c:350: error: âzend_objectâ has no member named âin_setâ make: * [php_xmlreader.lo] Error 1

aby ideas for how to install it?

I have the latest updatetd 5.3.8 php

I tried installing php-xml with yum install but I get an error:

Error: Missing Dependency: php-common = 5.2.10-1.el5.centos is needed by package php-xml-5.2.10-1.el5.centos.x86_64 (c5-testing)

tried to isntall php-common and I get

Package matching php-common-5.2.10-1.el5.centos.x86_64 already installed. Checking for update.

rpm -qa --qf "%{name}-%{version}-%{release}.%{arch}\n" php*

GIVES ME:

php-cli-5.3.8-1.w5.x86_64

php-gd-5.3.8-1.w5.x86_64

php-pdo-5.3.8-1.w5.x86_64

php-mbstring-5.3.8-1.w5.x86_64

php-mysql-5.3.8-1.w5.x86_64

php-devel-5.3.8-1.w5.x86_64

php-common-5.3.8-1.w5.x86_64

php-5.3.8-1.w5.x86_64

just maybe it'll help... I did update php via:

webtatic

I did install php-xml like quanta suggested and it worked OK. But it only gave me XML extension...

I need XMLReader (and XMLWriter) extension!

0

1 Answer 1

1

Looks like you are using Webtatic repo, try this:

# yum --enablerepo=webtatic install php-xml
3
  • I did that successfully, thanx. But That installed me only xml extension. I need XMLReader, trying with phpize and make like described before gives me still error Commented Sep 26, 2011 at 10:10
  • did it, the edit I mean Commented Sep 26, 2011 at 10:15
  • Restart Apache and check phpinfo() page, you would see the XMLReader and XMLWriter are enabled.
    – quanta
    Commented Sep 26, 2011 at 10:18

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .